人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

PHP5.4と5.6の違いについての質問です。
下記のコードはPHP5.6の環境では正しく実行できましたがPHP5.4の環境ではエラーは出ないもののおかしな実行結果しか出ませんでした。
複数の環境で試したのでphp.iniなどの設定の問題ではないと思います。

$hoge[]=mb_substr($hogehoge[$m],29,mb_strpos(mb_substr($hogehoge[$m],29),'/'));

このコードの中でPHP5.6ではサポートされているけれどPHP5.4ではサポートされていないのはどこですか。

●質問者: 匿名質問者
●カテゴリ:コンピュータ ウェブ制作
○ 状態 :終了
└ 回答数 : 1/1件

▽最新の回答へ

質問者から

また上記のコードはfor文で囲ってあります。


1 ● 匿名回答1号
ベストアンサー

なんでエラー内容を貼らないのか謎なんですが。
互換性の問題ではないですね。単なるバグでしょう。
エラー表示のレベルとかの違いで出てないだけでは。


質問者から

エラーではなくまちがった結果が出ていたのですが、無事解決しました。
全角文字の文字カウントの仕方が違うようです。
ありがとうございました。


関連質問

●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ